#include <string>
#include <opencv2/core.hpp>
#include "card_type.h"

using namespace std;
using namespace cv;

#ifdef _WIN32
#define EXPORTAPI extern "C" __declspec(dllexport)
#else
#define EXPORTAPI
#endif

EXPORTAPI extern int tdrocr_scan_yuv(unsigned char* data, int width, int height, int frm_wd, int frm_hg, int mode,  OCR_RESULT & ocr_result);
EXPORTAPI extern int tdrocr_scan_mat(cv::Mat& src, int mode,  OCR_RESULT & ocr_result);
EXPORTAPI extern void tdrocr_unInit();
EXPORTAPI extern int tdrocr_init(const char* dir, const char* opt, int mode);
EXPORTAPI extern void BGR2NV21( unsigned char *imgSrc, unsigned char *imgDst, int width, int height );
EXPORTAPI void tdr_set_log_file(const char * filename);
EXPORTAPI double tdr_get_current_time();  //unit is millisecond


 EXPORTAPI void tdrocr_set_scan_type(int scan_type);